var footer = new Component("footer");
app.registerComponent(footer);
footer.on("load", function(){  
	var self = this;
    return footer.render("template/footer.html", "footer", {})
    .done(function(){
    	self.buttonEvent();
    });
});

footer.buttonEvent = function() {
    $("#notesLink, #notesLink2").live("click", function(){
//    	console.log("Top = " + top);
//    	dialog.set({
//    		header: "Notes",
//    		height: "390px",
//    		width: "680px"
//    	}).show();    	
//    	$("#alertMsgContainer").load("/WMD/ePlatform/notes.html");
    	
    	trackAction("Notes - View");
    	ajaxCall({url: app.EPWEB_CONTEXT_ROOT + "notes.html" , dataType:"html"}, true)
    	.done( function(data) {
    		dialog.set({
        		header: lang.getMessage('titlePopupNotes'),
        		height: "390px",
        		width: "680px"
        	}).show(data);	    		
    	});
    });
};
